# KXmlGui

- [Getting started with KXmlGui](https://docs.novaflowos.com/start/kde-developer-platform/readme/getting-started/kxmlgui/_index.md): Discover KDE Frameworks and start building your first classic KDE desktop application.
- [Hello World!](https://docs.novaflowos.com/start/kde-developer-platform/readme/getting-started/kxmlgui/hello_world.md): Your first window using KDE Frameworks
- [Creating the main window](https://docs.novaflowos.com/start/kde-developer-platform/readme/getting-started/kxmlgui/main_window.md): This tutorial shows you the magic of an application's most important thing: the main window.
- [Using actions](https://docs.novaflowos.com/start/kde-developer-platform/readme/getting-started/kxmlgui/using_actions.md): How to add actions to the menus and toolbars.
- [Saving and loading](https://docs.novaflowos.com/start/kde-developer-platform/readme/getting-started/kxmlgui/saving_and_loading.md): Introduces the KIO library while adding loading and saving support to our application.
- [Command line interface](https://docs.novaflowos.com/start/kde-developer-platform/readme/getting-started/kxmlgui/commandline.md): Adds the ability to specify which file to open from the command line to our text editor.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.novaflowos.com/start/kde-developer-platform/readme/getting-started/kxmlgui.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
